'use strict';

var hover = require('../../gestures/hover.js');
var focus = require('../../gestures/focus.js');
var press = require('../../gestures/press.js');
var index = require('./viewport/index.js');

const gestureAnimations = {
    inView: {
        Feature: index.InViewFeature,
    },
    tap: {
        Feature: press.PressGesture,
    },
    focus: {
        Feature: focus.FocusGesture,
    },
    hover: {
        Feature: hover.HoverGesture,
    },
};

exports.gestureAnimations = gestureAnimations;
